// Fichier BarriereIR.c
/////////////////////////////////////////////////////////

/********************************************************
 *                                                      *
 *              En-tete du module de Barillet           *
 *                                                      *
 * .Date de cration : 23 janvier 2008                  *
 * .Auteur : Cardineau Matthieu							*       
 *                                                      *
 * .Descriptions :                                      *
 *      -Fonctions pour utiliser la Barriere infrarouge	*
 *sur le Barillet										*
 *                                                      *
 * .Grandes modifications :                             *
 *  __________________________________________________  *
 * |   DATE   |   Auteur   |          Detail          | *
 * |--------------------------------------------------| *
 * | 23/01/08 | M.Cardineau| Entete ajoute           | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |__________|____________|__________________________| *
 *                                                      *
 *                                                      *
 * .Remarques :                                         *
 *                                                      *
 *                                                      *
 ********************************************************/
 
 //------INCLUSIONS-------//
#include <p18f452.h>		// Librairie pour le PIC

#include "BarriereIR.h"
//-----------------------//

//---------FONCTIONS---------//
// --------------------------------------------------------------------------
/* Fonction BarriereIR_Init
 * Configure le port en entre pour la Barriere Infrarouge
 */
void BarriereIR_Init(void)
{
	TRIS_BARRIERE_IR=1;	//configure la Barriere Infrarouge en entre.
}	

// --------------------------------------------------------------------------
// --------------------------------------------------------------------------
/* Fonction BarriereIR
 * Fonction qui renvoie l'tat de la barrire infrarouge du barillet
 * Si la fonction retourne 0 : il n'y a pas d'obstacle
 * Si la fonction retourne 1 : il y a un obstacle devant le capteur
*/
unsigned char BarriereIR(void)
{
	return (!BARRIERE_IR);
}

