// Fichier BarriereIR.h
/////////////////////////////////////////////////////////

/********************************************************
 *                                                      *
 *              En-tete du module de Barillet           *
 *                                                      *
 * .Date de cration : 23 janvier 2008                  *
 * .Auteur : Cardineau Matthieu							*       
 *                                                      *
 * .Descriptions :                                      *
 *      -Librairie pour utiliser la Barriere infrarouge	*
 *sur le Barillet										*
 *                                                      *
 * .Grandes modifications :                             *
 *  __________________________________________________  *
 * |   DATE   |   Auteur   |          Detail          | *
 * |--------------------------------------------------| *
 * | 23/01/08 | M.Cardineau| Entete ajoute           | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |__________|____________|__________________________| *
 *                                                      *
 *                                                      *
 * .Remarques :                                         *
 *                                                      *
 *                                                      *
 ********************************************************/


//--------------------------DEFINITIONS-----------------------------------------------//
#define		BARRIERE_IR			PORTCbits.RC1		// Barrire infrarouge ()

#define		TRIS_BARRIERE_IR	TRISCbits.TRISC1	// Pour configurer la Barrire infrarouge
//------------------------------------------------------------------------------------//


//-----ENTETE DE FONCTIONS-----//
// --------------------------------------------------------------------------
/* Fonction BarriereIR_Init
 * Configure le port en entre pour la Barriere Infrarouge
 */
void BarriereIR_Init(void);

// --------------------------------------------------------------------------
/* Fonction BarriereIR
 * Fonction qui renvoie l'tat de la barrire infrarouge du barillet
 * Si la fonction retourne 0 : il n'y a pas d'obstacle
 * Si la fonction retourne 1 : il y a un obstacle devant le capteur
*/
unsigned char BarriereIR(void);

