// Fichier Capt_Coul.h
/////////////////////////////////////////////////////////

/********************************************************
 *                                                      *
 *              En-tete du module de Barillet           *
 *                                                      *
 * .Date de cration : 11 Fvrier 2008                  *
 * .Auteur : Cardineau Matthieu							*       
 *                                                      *
 * .Descriptions :                                      *
 *      -librairie pour gerer le capteur de couleur     *
 * 														*
 *                                                      *
 * .Grandes modifications :                             *
 *  __________________________________________________  *
 * |   DATE   |   Auteur   |          Detail          | *
 * |--------------------------------------------------| *
 * | 11/02/08 | M.Cardineau| Entete ajoute           | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |__________|____________|__________________________| *
 *                                                      *
 *                                                      *
 * .Remarques :                                         *
 *                                                      *
 *                                                      *
 ********************************************************/

//--------------------------DEFINITIONS-----------------------------------------------//
#define 	CAPT_COUL_START				PORTAbits.RA3		//Bit de demande/confirmation de la couleur
#define 	CAPT_COUL_D0				PORTAbits.RA2		//Bit de donne de poid faible
#define 	CAPT_COUL_D1				PORTAbits.RA1		//Bit de donne de poid fort

#define 	TRIS_CAPT_COUL_START		TRISAbits.TRISA3		//pour configurer le capteur de couleur
#define 	TRIS_CAPT_COUL_D0			TRISAbits.TRISA2		
#define 	TRIS_CAPT_COUL_D1			TRISAbits.TRISA1		

#define 	TEMPS_RESTANT	5000		//5000 temps de cycle max d'attente de la rponse du capteur (5000cycle = 1ms)
//------------------------------------------------------------------------------------//

//fonction pour initialiser les port pour le capteur de couleur
/* Le bit RA0 est initialiser en sortie pour commander (mais sert d'entre pour reevoir la confirmation
 * Le bit RA1 et RA2 servent a coder la couleur sur 2 bit :
 * 0 = pas de balle dtecte 1= balle bleu 2 = blanche 3 = rouge
 */
void CaptCoul_Init (void);



//fonction pour demander et lire la couleur du slot courrant+1
/*Retourne une valeur de balle de 1 a 3
 */
unsigned char LireCaptCoul (void);

