// Fichier Codeurs.h
/////////////////////////////////////////////////////////

/****************************************************************
 *                                                    			*
 * .Date de cration : 11/01/08                         		*
 * .Auteur : Matthieu Cadic                             		*       
 *           Yohan Luzeau                                  		*
 * .Descriptions :                                      		*
 *      - Fichier de gestion du codeur		 			    	*
 *                                           					*
 *                                                      		*
 *                                                      		*
 * .Remarques :                                         		*
 *                                                      		*
 ****************************************************************/


// Constantes 

#define 	CODEUR_CANAL_A			PORTAbits.RA4
#define 	CODEUR_SENS				PORTDbits.RD4

#define		TRIS_CODEUR_CANAL_A		TRISAbits.TRISA4
#define 	TRIS_CODEUR_SENS		TRISDbits.TRISD4



// --------------------------------------------------------------------------
/* Initialise le codeur
 * Configure les ports en entre
 * Configure le timer 0 en compteur
 * Initialise le compteur
*/
void Codeur_Init(void);


// --------------------------------------------------------------------------
/* Retourne la vitesse lue au codeur
 * La fonction lit le compteur et soustrait l'ancienne valeur
 * en tenant compte des dbordements et du signe
 * La fonction doit tre appele  intervalles rgulier pour
 * retourner une valeur fiable
*/

int Codeur_Vitesse(void);
