// Fichier Fouche.c
/////////////////////////////////////////////////////////

/********************************************************
 *                                                      *
 *              En-tete du module de Barillet           *
 *                                                      *
 * .Date de cration : 21 janvier 2008                  *
 * .Auteur : Cardineau Matthieu							*       
 *                                                      *
 * .Descriptions :                                      *
 *      -Fonctions de lecture des fouches du barillet	*
 *														*
 *                                                      *
 * .Grandes modifications :                             *
 *  __________________________________________________  *
 * |   DATE   |   Auteur   |          Detail          | *
 * |--------------------------------------------------| *
 * | 21/01/08 | M.Cardineau| Entete ajoute           | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |__________|____________|__________________________| *
 *                                                      *
 *                                                      *
 * .Remarques :                                         *
 *                                                      *
 *                                                      *
 ********************************************************/

//------INCLUSIONS-------//
#include <p18f452.h>		// Librairie pour le PIC

#include "Fourche.h"
//-----------------------//


//---------FONCTIONS---------//
// --------------------------------------------------------------------------
/* Fonction Fourche_Init
 * Cofigure les port en entre
 * pour les Fourches (capteurs)
 */
void Fourche_Init(void)
{
	TRIS_FOURCHE_GAUCHE=1;	//Configure le port en entr
	TRIS_FOURCHE_DROITE=1;	//Configure le port en entr

}


// --------------------------------------------------------------------------
/* Fonction FourcheGauche
 * Fonction qui renvoie l'tat de la fourche gauche du barillet
 * Si la fonction retourne 0 : il n'y a pas d'obstacle
 * Si la fonction retourne 1 : il y a un obstacle dans la fourche
*/
unsigned char FourcheGauche(void)
{
	return (!FOURCHE_GAUCHE);
}


// --------------------------------------------------------------------------
/* Fonction FourcheDroite
 * Fonction qui renvoie l'tat de la fourche droite du barillet
 * Si la fonction retourne 0 : il n'y a pas d'obstacle
 * Si la fonction retourne 1 : il y a un obstacle dans la fourche
*/
unsigned char FourcheDroite(void)
{
	return (!FOURCHE_DROITE);
}


