// Fichier Fourche.h
/////////////////////////////////////////////////////////

/********************************************************
 *                                                      *
 *              En-tete du module de Barillet           *
 *                                                      *
 * .Date de cration : 21 janvier 2008                  *
 * .Auteur : Cardineau Matthieu							*       
 *                                                      *
 * .Descriptions :                                      *
 *      -librairie de fonctions pour lire les fouches   *
 *du barillet											*
 *                                                      *
 * .Grandes modifications :                             *
 *  __________________________________________________  *
 * |   DATE   |   Auteur   |          Detail          | *
 * |--------------------------------------------------| *
 * | 21/01/08 | M.Cardineau| Entete ajoute           | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |__________|____________|__________________________| *
 *                                                      *
 *                                                      *
 * .Remarques :                                         *
 *                                                      *
 *                                                      *
 ********************************************************/


//--------------------------DEFINITIONS-----------------------------------------------//
#define 	FOURCHE_GAUCHE		PORTBbits.RB2		// Fourche gauche (0=pas d'obstacle)
#define 	FOURCHE_DROITE		PORTBbits.RB1		// Fourche droite (0=pas d'obstacle)

#define 	TRIS_FOURCHE_GAUCHE		TRISBbits.TRISB2	//pour configurer les fourches	
#define 	TRIS_FOURCHE_DROITE		TRISBbits.TRISB1		
//------------------------------------------------------------------------------------//

//-----ENTETE DE FONCTIONS-----//
// --------------------------------------------------------------------------
/* Fonction Fourche_Init
 * Configure les port en entre pour les Capteurs Fourches 
 */
void Fourche_Init(void);


// --------------------------------------------------------------------------
/* Fonction FourcheGauche
 * Fonction qui renvoie l'tat de la fourche gauche du barillet
 * Si la fonction retourne 0 : il n'y a pas d'obstacle
 * Si la fonction retourne 1 : il y a un obstacle devant la fourche
*/
unsigned char FourcheGauche(void);


// --------------------------------------------------------------------------
/* Fonction FourcheDroite
 * Fonction qui renvoie l'tat de la fourche droite du barillet
 * Si la fonction retourne 0 : il n'y a pas d'obstacle
 * Si la fonction retourne 1 : il y a un obstacle devant la fourche
*/
unsigned char FourcheDroite(void);


