#include "Triangulation.h"

void TrierAngles(void){
  	int i, j, imin;
    float min;

    for( i=0; i<4; i++ ){

        // trouver le plus petit  partir de la ime position
		imin=i;
    	min = beta[i];

     	for( j=i+1; j<4; j++ ){
			if( beta[j]<min ){
            	imin = j;
                min = beta[j];
            }
        }

        // permuter ce plus petit avec l'indice i
        beta[imin] = beta[i];
        beta[i] = min;

    }
}

void PermutCircu(float * tab, int nb){
	int i;
    float temp;

    temp = tab[0];
    for( i=1; i<nb; i++ ){
     	tab[i-1] = tab[i];
    }
    tab[i-1] = temp;
}

int GuessPosition(int * tab, int * nb, int * nbtest){
    float a[4];
    char buf[30];
    int ok=0, tot=0;
    int accepte = 0;
    float X, Y;

    TrierAngles();

    a[0] = beta[1]-beta[0];
    a[1] = beta[2]-beta[1];
    a[2] = beta[3]-beta[2];
    a[3] = beta[0]-beta[3]+2*pi;


	*nb = 0;
    *nbtest = 0;
	for( int i=0; i<4; i++ ){
            if( a[0]+a[1]<pi && a[2]>=0.96 && a[3]>=0.96 ){
                (*nbtest)++;
                ok = CalcXY( a[0], a[1], a[2], a[3], &X, &Y );
                if( ok ){
                    accepte = ( -L-1<=X && X<=L+1 && -l-1<=Y && Y<=1 );
                    if( accepte ){
                        tab[*nb*2] = X;
                        tab[*nb*2+1]=Y;
                        (*nb)++;
                    }
                }
            }
            PermutCircu( a, 4);
    }
    return (*nb);
}

void IntersectCercles( float a1, float b1, float a2, float b2, float x0, float y0,  float *X, float *Y ){
    float da = a2-a1;
    float db = b2-b1;
    float  H, det;

    H = -x0*da - y0*db;
    det = da*da + db*db;

    *X = 2*(db*(a1*b2-a2*b1)-da*H)/det - x0;
    *Y = -(H + da**X)/db ;
}


int CalcXY( float alpha1, float alpha2, float alpha3, float alpha4, float * X, float * Y ){
    float a1, b1, a2, b2, x0, y0;
    int methode;
	float alpha,ecart;
    
    // principe de rsolution :
//	1-------------2------3
//	|					 |
//	|	 M		  		 |
//	|			  		 |
//	|					 |
//	|			  		 |
//	|			  		 |
//	|					 |
//	|			  		 |
//	|			  		 |
//	|					 |
//	|			  		 |
//	|			  		 |
//	+----------4---------+
    // on note :
    //	C12 le cercle qui passe par B1 et B2 et M (le robot)
    //	C13 "          "            B1 et B3 et M
    //  C23 "         "             B2 et B3 et M
    //  C34 "			"           B3 et B4 et M
    //  C14 "			"           B1 et B4 et M

    // par dfaut on va calculer l'intersection des cercles C13 et [C3 ou C4]
    // mais si C13 est trop "plat", cad alpha1+alpha2 est trop proche de pi
    // on va choisir, parmi alpha1 et alpha2, le moins proche de 0 ou pi
    // cela correspond au cercle C12 ou C23
    // et on l'intersecte avec son voisin immdiat (C14 ou C34)

    // on a donc 4 config possibles :
    //		C13 inter C34
    //		C13 inter C14
    //		C12 inter C14
    //		C23 inter C34

//    if( fabs(alpha1+alpha2-pi)>1 ){
		// ce sera C13 ...
        a1 = 0;
        b1 = -L/tan( alpha1+alpha2 );

    	if( fabs(alpha3-pi2)<fabs(alpha4-pi2) ){
        	// ... inter C34
            a2 =  (L-l/tan(alpha3))/2;
            b2 = (-l+ L/tan(alpha3))/2;
            x0 = L;
            y0 = 0;
            methode=1;
//            Memo2->Text = Memo2->Text + "C13 inter C34 ...";
        }else{
        	// ... inter C14
            a2 =  (-L+l/tan(alpha4))/2;
            b2 = (-l+ L/tan(alpha4))/2;
            x0 = -L;
            y0 = 0;
            methode=2;
//            Memo2->Text = Memo2->Text + "C13 inter C14 ...";
        }
/*
    }else{

    	if( fabs(alpha1-pi2)<fabs(alpha2-pi2) ){
        	// ce sera C12 inter C14
		    a1 = (d-L)/2;
            b1 = (L+d)/2/tan(-alpha1);
            a2 =  (-L+l/tan(alpha4))/2;
            b2 = (-l+ L/tan(alpha4))/2;
            x0 = -L;
            y0 = 0;
            Memo2->Text = Memo2->Text + "C12 inter C14\r\n";
        }else{
        	// ce sera C23 inter C34
			a1 = (L+d)/2;
            b1 = (L-d)/2/tan(-alpha2);
            a2 =  (L-l/tan(alpha3))/2;
            b2 = (-l+ L/tan(alpha3))/2;
            x0 = L;
            y0 = L;
            Memo2->Text = Memo2->Text + "C23 inter C34\r\n";
        }
    }
*/

	IntersectCercles( a1, b1, a2, b2, x0, y0, X, Y );
	alpha = Angle( -L, 0, d, 0, *X, *Y );
    if( alpha==-1 )
		alpha = Angle( -L, 0, d, 0, *X, *Y );
    ecart = fabs(alpha-alpha1);
    if( ecart>0.001 )
    	return 0;

    // vrification avec le 3me cercle :
    if( methode==1 ){
    	alpha=Angle( 0, -l, -L, 0, *X, *Y );
        if( alpha==-1 )
			alpha = Angle( 0, -l, -L, 0, *X, *Y );
        if( *Y<-(*X/L+1)*l )
            alpha = 2*pi-alpha;
    	ecart = fabs(alpha-alpha4);
    }else{
    	alpha=Angle( 0, -l, L, 0, *X, *Y );
        if( alpha==-1 )
			alpha = Angle( 0, -l, L, 0, *X, *Y );
        if( *Y<(*X/L-1)*l )
            alpha = 2*pi-alpha;
    	ecart = fabs(alpha-alpha3);
    }

//    if( ecart<0.01 )
//    	Memo2->Text = Memo2->Text + " ok !\r\n";
//    else
//    	Memo2->Text = Memo2->Text + " pas ok !\r\n";
    return( ecart<0.001 );
}

