// Fichier Led.c
/////////////////////////////////////////////////////////

/********************************************************
 *                                                      *
 *              En-tete du module de Barillet           *
 *                                                      *
 * .Date de cration : 21 janvier 2008                  *
 * .Auteur : Cardineau Matthieu							*       
 *                                                      *
 * .Descriptions :                                      *
 *      -description des fonctions pour commander 		*
 *les leds du barillet									*														*
 *                                                      *
 * .Grandes modifications :                             *
 *  __________________________________________________  *
 * |   DATE   |   Auteur   |          Detail          | *
 * |--------------------------------------------------| *
 * | 21/01/08 | M.Cardineau| Entete ajoute           | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |__________|____________|__________________________| *
 *                                                      *
 *                                                      *
 * .Remarques :                                         *
 *                                                      *
 *                                                      *
 ********************************************************/

//------INCLUSIONS-------//
#include <p18f452.h>		// Librairie pour le PIC
#include "Led.h"
//-----------------------//


//---------FONCTIONS---------//
// --------------------------------------------------------------------------
/* Fonction Led_Init
 * Configure les port en sortie pour les leds
 */
void Led_Init (void)
{

	//CONFIGURATION DES LEDS EN SORTIES//		
		
 	TRIS_LED_VERTE=0;	
	TRIS_LED_AMBRE=0; 	// Configure les ports en sortie
	TRIS_LED_ROUGE=0;	

	Led_Verte(0);	
	Led_Ambre(0);	//on teint les leds au dmarrage
	Led_Rouge(0);
}

// --------------------------------------------------------------------------
/* Fonction LedVerte
 * Fonction qui commande la led verte selon la valeur de State :
 * State=0 Led teinte
 * State=1 Led allume
*/
void Led_Verte(unsigned char State)
{	
	LED_VERTE=!State;
}

// --------------------------------------------------------------------------
/* Fonction LedAmbre
 * Fonction qui commande la led ambre selon la valeur de State :
 * State=0 Led teinte
 * State=1 Led allume
*/
void Led_Ambre(unsigned char State)
{	
	LED_AMBRE=!State;
}

// --------------------------------------------------------------------------
/* Fonction LedRouge
 * Fonction qui commande la led rouge selon la valeur de State :
 * State=0 Led teinte
 * State=1 Led allume
*/	
void Led_Rouge(unsigned char State)
{	
	LED_ROUGE=!State;
}