// Fichier Led.h
/////////////////////////////////////////////////////////

/********************************************************
 *                                                      *
 *              En-tete du module de Barillet           *
 *                                                      *
 * .Date de cration : 21 janvier 2008                  *
 * .Auteur : Cardineau Matthieu							*       
 *                                                      *
 * .Descriptions :                                      *
 *      -librairie de fonctions pour commander les leds *
 *du barillet											*
 *                                                      *
 * .Grandes modifications :                             *
 *  __________________________________________________  *
 * |   DATE   |   Auteur   |          Detail          | *
 * |--------------------------------------------------| *
 * | 21/01/08 | M.Cardineau| Entete ajoute           | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |__________|____________|__________________________| *
 *                                                      *
 *                                                      *
 * .Remarques :                                         *
 *                                                      *
 *                                                      *
 ********************************************************/


//--------------------------DEFINITIONS-----------------------------------------------//

// Definition des ports pour les leds
#define 	LED_VERTE 			PORTEbits.RE1		// Led verte, active  l'tat bas
#define 	LED_AMBRE			PORTEbits.RE0		// Led rouge, active  l'tat bas
#define 	LED_ROUGE 			PORTEbits.RE2		// Led ambre, active  l'tat bas

#define 	TRIS_LED_VERTE 		TRISEbits.TRISE1	
#define 	TRIS_LED_AMBRE		TRISEbits.TRISE0	//pour configurer les led
#define 	TRIS_LED_ROUGE 		TRISEbits.TRISE2		
//------------------------------------------------------------------------------------//

//-----ENTETE DE FONCTIONS-----//
// --------------------------------------------------------------------------
/* Fonction Led_Init
 * Configure les port en sortie pour les leds
 */
void Led_Init(void);

// --------------------------------------------------------------------------
/* Fonction LedVerte
 * Fonction qui commande la led verte selon la valeur de State :
 * State=0 Led teinte
 * State=1 Led allume
*/
void Led_Verte(unsigned char);

// --------------------------------------------------------------------------
/* Fonction LedAmbre
 * Fonction qui commande la led ambre selon la valeur de State :
 * State=0 Led teinte
 * State=1 Led allume
*/
void Led_Ambre(unsigned char);

// --------------------------------------------------------------------------
/* Fonction LedRouge
 * Fonction qui commande la led rouge selon la valeur de State :
 * State=0 Led teinte
 * State=1 Led allume
*/
void Led_Rouge(unsigned char);

// --------------------------------------------------------------------------
